Subject: Re: bug#72959: Request for merging "fonts-split-outputs" branch

From: Christopher Baines <[email-masked]>
Date: Mon, 14 Oct 2024 11:51:59 +0100

Christopher Baines <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>
>> Ludovic Courtès <[email-masked]> skribis:
>>
>>> Since ‘fonts-split-outputs’ is next in the merge queue at
>>> <https://qa.guix.gnu.org/> and not fully built yet at bordeaux.guix,
>>> I created this jobset:
>>>
>>>   https://ci.guix.gnu.org/jobset/fonts-split-outputs
>>>
>>> Perhaps 宋文武 you could rebase the branch and trigger a new evaluation
>>> with:
>>>
>>>   wget --post-data="" -O/dev/null \
>>>     https://ci.guix.gnu.org/jobset/fonts-split-outputs/hook/evaluate
>>
>> I went ahead and rebased the branch on top of
>> ff88c8cf3e2b8e3e86f438dd42adfce2db8dc337 and triggered a new evaluation.
>
> Things have been building but QA hasn't quite submitted all the new
> builds post rebase yet. This might be complicated by the lack of
> issues.guix.gnu.org, once it's back though things will hopefully not
> take too much longer to finish building.

The builds have been progressing. Substitute availability isn't quite as
high as master yet, and there are probably some flaky builds that'll
require more attempts to get substitutes, but it looks like this can be
merged this week.

I had a look at why x86_64-linux on ci.guix.gnu.org is a bit behind, and
some builds seem to be in the failed dependency state, but with no
failed dependency listed. Clicking the restart button does prompt that
thing to be built, but doesn't seem to unblock the builds on mass.

宋文武, are you available to push this once it's ready?

Thanks,

Chris